Debian Bug report logs - #648628
transition: gpsd

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Bernd Zeimetz <bzed@debian.org>

Date: Sun, 13 Nov 2011 16:06:12 UTC

Severity: normal

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648628; Package release.debian.org. (Sun, 13 Nov 2011 16:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 Nov 2011 16:06:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: gpsd
Date: Sun, 13 Nov 2011 17:04:57 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi Release Team,

gpsd's service library libgps got a bunch of API and ABI changes, so it
needs a transition from libgps19 to libgps20.

Currently there are only 4 packages left in unstable which do not build
against the new API:

geoclue #648496
obdgpslogger #648495
kdeedu #648502
kdebase-workspace #648504

I'm able to patch geoclue and obdgpslogger quickly if necessary.
For kde* the qt/kde people and I agreed that they will - depending on
the time of the gpsd transition - either upload fixed packages to
unstable after the new gpsd version is available (so we don't need to
binNMU them again) or if they are ready to upload kde 4.7/kdeedu 4.7 at
the time the gpsd transition happens, both transitions could run in
parallel.

So please let me know when you'd like me to upload gpsd to unstable.

Thanks and cheers,

Bernd

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 648628: 648496 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 16:27:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648628: 648495 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 16:27:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648628: 648502 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 16:27:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 648628: 648504 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 16:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648628; Package release.debian.org. (Thu, 01 Dec 2011 19:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 01 Dec 2011 19:39:08 GMT) Full text and rfc822 format available.

Message #18 received at 648628@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Bernd Zeimetz <bzed@debian.org>, 648628@bugs.debian.org
Subject: Re: Bug#648628: transition: gpsd
Date: Thu, 01 Dec 2011 20:37:58 +0100
block 645105 by 648628
tags 648628 + pending
thanks

On 2011-11-13 17:04, Bernd Zeimetz wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi Release Team,
> 
> gpsd's service library libgps got a bunch of API and ABI changes, so it
> needs a transition from libgps19 to libgps20.
> 
> Currently there are only 4 packages left in unstable which do not build
> against the new API:
> 
> geoclue #648496
> obdgpslogger #648495
> kdeedu #648502
> kdebase-workspace #648504
> 
> I'm able to patch geoclue and obdgpslogger quickly if necessary.
> For kde* the qt/kde people and I agreed that they will - depending on
> the time of the gpsd transition - either upload fixed packages to
> unstable after the new gpsd version is available (so we don't need to
> binNMU them again) or if they are ready to upload kde 4.7/kdeedu 4.7 at
> the time the gpsd transition happens, both transitions could run in
> parallel.
> 
> So please let me know when you'd like me to upload gpsd to unstable.
> 
> Thanks and cheers,
> 
> Bernd
> 
> [...]

Hi,

Please go ahead and upload gpsd to unstable.  :)

~Niels





Added indication that bug 648628 blocks 645105 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 01 Dec 2011 19:39:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 01 Dec 2011 19:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#648628; Package release.debian.org. (Tue, 13 Dec 2011 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 13 Dec 2011 08:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 648628@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 648628@bugs.debian.org, Bernd Zeimetz <bzed@debian.org>
Subject: Re: Bug#648628: transition: gpsd
Date: Tue, 13 Dec 2011 09:06:50 +0100
On 2011-12-01 20:37, Niels Thykier wrote:
> block 645105 by 648628
> tags 648628 + pending
> thanks
> 

Hi,

A little status update on this.  gpsd has migrated to testing so we are
nearly done now.  :)

> On 2011-11-13 17:04, Bernd Zeimetz wrote:
>> [...]
>>
>> Hi Release Team,
>>
>> gpsd's service library libgps got a bunch of API and ABI changes, so it
>> needs a transition from libgps19 to libgps20.
>>
>> Currently there are only 4 packages left in unstable which do not build
>> against the new API:
>>
>> geoclue #648496

Should migrate today/tonight.

>> obdgpslogger #648495

Added removal hint

>> kdeedu #648502
>> kdebase-workspace #648504
>>

Both migrated.

>> [...]
> 



~Niels






Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Tue, 13 Dec 2011 22:45:09 GMT) Full text and rfc822 format available.

Notification sent to Bernd Zeimetz <bzed@debian.org>:
Bug acknowledged by developer. (Tue, 13 Dec 2011 22:45:09 GMT) Full text and rfc822 format available.

Message #32 received at 648628-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 648628-done@bugs.debian.org
Subject: Re: Bug#648628: transition: gpsd
Date: Tue, 13 Dec 2011 23:42:46 +0100
And libgps19 is gone - we are done. :)

~Niels





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jan 2012 07:34:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:45:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.